Subject: Re: [net PATCH 1/2] net: dsa: qca8k: fix inband mgmt for big-endian systems

From: Christian Marangi <[email-masked]>
Date: Wed, 12 Oct 2022 14:26:02 +0200

On Wed, Oct 12, 2022 at 10:27:17AM +0300, Vladimir Oltean wrote:
> On Mon, Oct 10, 2022 at 01:14:58PM +0200, Christian Marangi wrote:
> > The header and the data of the skb for the inband mgmt requires
> > to be in little-endian. This is problematic for big-endian system
> > as the mgmt header is written in the cpu byte order.
> > 
> > Fix this by converting each value for the mgmt header and data to
> > little-endian, and convert to cpu byte order the mgmt header and
> > data sent by the switch.
> 
> By any chance, is the endianness of the data configurable?

By checking the documentation and the regs relevant to global switch
settings it doesn't look like the switch supports any kind of option
about endianess...

-- 
	Ansuel